// pages/peopleManagement/peopleManagement.js
var app = getApp();
import Notify from '../../dist/notify/notify';
import Dialog from '../../dist/dialog/dialog';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    circleId: 0,
    name:'',

    circleDat: null,
    isOwner: false,
    userName: '',
    ownerId: 0,
    memberCount:0,
    memberList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      circleId: options.circleId
    })
    this.getMemberList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  //获取输入的值
  onInutName(e) {
    this.setData({
      name: e.detail
    })
  },

  // 成员列表
  getMemberList(){
    var that = this;
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_circle_member_list.php',
      data: {
        unionId: config.unionId,
        circleId: that.data.circleId,
        name:that.data.name
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if(res.statusCode==200){
          that.setData({
            isOwner: res.data.result.isOwner,
            ownerId: res.data.result.ownerId, 
            userName: res.data.result.userName, 
            circleDat: res.data.result.circleDat, 
            memberCount: res.data.result.memberCount,
            memberList:res.data.result.memberList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  // 删除成员
  deleteMember(e){
    let userId = e.currentTarget.dataset['index']
    var that = this;
    var config = wx.getStorageSync('config');
    //只有圈主才可以有删除权限
    if (that.data.isOwner == false) {
      Notify('群主才有权限删除成员')
      return
    }
    //不能删除圈主
    if (that.data.ownerId == userId) {
      Notify('不能删除圈主')
      return
    }

    Dialog.confirm({
      message: '确定删除吗？'
    }).then(() => {
      //删除成员操作
      wx.request({
        url: app.url + 'ajax_delete_circle_member.php',
        data: {
          unionId: config.unionId,
          circleId: that.data.circleId,
          userId: userId
        },
        header: { 'content-type': 'application/json' },
        method: 'GET',
        dataType: 'json',
        success: function (res) {
          console.log(res)
          if (res.statusCode == 200) {
            Notify(res.data.result.message)
            that.getMemberList()
          }
        },
        fail: function (res) { },
        complete: function (res) { },
      })
    });


  },

  /**
 * 用户点击右上角分享[邀请入圈]]
 */
  onShareAppMessage: function () {
    return {
      title: this.data.userName + "邀请您加入[" + this.data.circleDat.title + "]" ,
      desc: '',
      imageUrl: this.data.circleDat.front_image,
      path: '/pages/inviteCircleMember/inviteCircleMember?circleId=' + this.data.circleDat + '&inviteUserName=' + this.data.userName,
    }
  },

  onClose(event) {
    var that=this;
    var userid=event.currentTarget.dataset.userid;
    const { position, instance } = event.detail;
    switch (position) {
      case 'left':
      case 'cell':
        instance.close();
        break;
      case 'right':
        break;
    }
  }
})